### Enumeration

# GUsb DeviceRequestType

unstable since: 1.0

#### Declaration

    enum GUsb.DeviceRequestType

#### Description

The message request type.

Available since: 1.0

#### Members

`G_USB_DEVICE_REQUEST_TYPE_STANDARD`
  No description available.
  - Value: `0`
  - Nickname: `None`
  - Available since: 1.0
`G_USB_DEVICE_REQUEST_TYPE_CLASS`
  No description available.
  - Value: `1`
  - Nickname: `None`
  - Available since: 1.0
`G_USB_DEVICE_REQUEST_TYPE_VENDOR`
  No description available.
  - Value: `2`
  - Nickname: `None`
  - Available since: 1.0
`G_USB_DEVICE_REQUEST_TYPE_RESERVED`
  No description available.
  - Value: `3`
  - Nickname: `None`
  - Available since: 1.0